module "ecr" {
  source                                    = "terraform-aws-modules/ecr/aws"
  version                                   = "1.6.0"
  for_each                                  = var.ecr_conf
  repository_name                           = each.key
  tags                                      = try(each.value.tags, var.tags)
  repository_type                           = try(each.value.repository_type, var.repository_type)
  repository_image_tag_mutability           = try(each.value.repository_image_tag_mutability, var.repository_image_tag_mutability)
  repository_encryption_type                = try(each.value.repository_encryption_type, var.repository_encryption_type)
  repository_kms_key                        = try(each.value.repository_kms_key, var.repository_kms_key)
  repository_image_scan_on_push             = try(each.value.repository_image_scan_on_push, var.repository_image_scan_on_push)
  repository_policy                         = jsonencode(try(each.value.repository_policy, var.repository_policy))
  repository_force_delete                   = try(each.value.repository_force_delete, var.repository_force_delete)
  attach_repository_policy                  = try(each.value.attach_repository_policy, var.attach_repository_policy)
  create_repository_policy                  = try(each.value.create_repository_policy, var.create_repository_policy)
  repository_read_access_arns               = try(each.value.repository_read_access_arns, var.repository_read_access_arns)
  repository_lambda_read_access_arns        = try(each.value.repository_lambda_read_access_arns, var.repository_lambda_read_access_arns)
  repository_read_write_access_arns         = try(each.value.repository_read_write_access_arns, var.repository_read_write_access_arns)
  create_lifecycle_policy                   = try(each.value.create_lifecycle_policy, var.create_lifecycle_policy)
  repository_lifecycle_policy               = jsonencode(try(each.value.repository_lifecycle_policy, var.repository_lifecycle_policy))
  public_repository_catalog_data            = try(each.value.public_repository_catalog_data, var.public_repository_catalog_data)
  create_registry_policy                    = try(each.value.create_registry_policy, var.create_registry_policy)
  registry_policy                           = jsonencode(try(each.value.registry_policy, var.registry_policy))
  registry_pull_through_cache_rules         = try(each.value.registry_pull_through_cache_rules, var.registry_pull_through_cache_rules)
  manage_registry_scanning_configuration    = try(each.value.manage_registry_scanning_configuration, var.manage_registry_scanning_configuration)
  registry_scan_type                        = try(each.value.registry_scan_type, var.registry_scan_type)
  registry_scan_rules                       = try(each.value.registry_scan_rules, var.registry_scan_rules)
  create_registry_replication_configuration = try(each.value.create_registry_replication_configuration, var.create_registry_replication_configuration)
  registry_replication_rules                = try(each.value.registry_replication_rules, var.registry_replication_rules)
}